Bug 6400 - Экспорт при помощи inkscape -z вылетает с segmentation fault
: Экспорт при помощи inkscape -z вылетает с segmentation fault
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/inkscape)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-04 14:48 by
Modified: 2005-07-13 15:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-04 14:48:01
При попытке экспорта SVG-файла при помощи inkscape -z выдается следующее:

eugene ~ $ inkscape /usr/share/doc/inkscape-0.41/doc/architecture.svg -z -e
1.png

(process:6123): Gtk-CRITICAL **: gtk_settings_get_for_screen: assertion
`GDK_IS_SCREEN (screen)' failed

(process:6123): GLib-GObject-CRITICAL **: g_object_get: assertion `G_IS_OBJECT
(object)' failed

(process:6123): GLib-GObject-WARNING **: value "TRUE" of type `gboolean' is
invalid or out of range for property `visible' of type `gboolean'

(process:6123): GLib-GObject-CRITICAL **: g_object_set_qdata_full: assertion
`quark > 0' failed

(process:6123): glibmm-CRITICAL **: Glib::ObjectBase*
<unnamed>::create_new_wrapper(GObject*): assertion `wrap_func_table != 0'
failed

(process:6123): glibmm-WARNING **: failed to wrap type of 'GtkVBox'

(process:6123): GLib-GObject-CRITICAL **: g_object_set_qdata_full: assertion
`quark > 0' failed

Emergency save activated!
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at www.inkscape.org
with a detailed description of the steps leading to the crash, so we can fix
it.

(process:6123): Gtk-CRITICAL **: gtk_settings_get_for_screen: assertion
`GDK_IS_SCREEN (screen)' failed

(process:6123): GLib-GObject-CRITICAL **: g_object_get: assertion `G_IS_OBJECT
(object)' failed

(process:6123): GLib-GObject-WARNING **: value "TRUE" of type `gboolean' is
invalid or out of range for property `visible' of type `gboolean'

(process:6123): Gtk-WARNING **: Screen for GtkWindow not set; you must always
set
a screen for a GtkWindow before using the window

(process:6123): Gdk-CRITICAL **: gdk_pango_context_get_for_screen: assertion
`GDK_IS_SCREEN (screen)' failed

(process:6123): Pango-CRITICAL **: pango_context_set_base_dir: assertion
`context != NULL' failed

(process:6123): Pango-CRITICAL **: pango_context_set_font_description:
assertion
`context != NULL' failed

(process:6123): Pango-CRITICAL **: pango_context_set_language: assertion
`context != NULL' failed

(process:6123): Pango-CRITICAL **: pango_layout_new: assertion `context !=
NULL'
failed

(process:6123): Pango-CRITICAL **: pango_layout_set_text: assertion `layout !=
NULL' failed
(process:6123): Pango-CRITICAL **: pango_layout_set_attributes: assertion
`layout != NULL' failed

(process:6123): Pango-CRITICAL **: pango_layout_set_alignment: assertion
`layout
!= NULL' failed

(process:6123): Pango-CRITICAL **: pango_layout_set_ellipsize: assertion
`PANGO_IS_LAYOUT (layout)' failed

(process:6123): Pango-CRITICAL **: pango_layout_set_single_paragraph_mode:
assertion `PANGO_IS_LAYOUT (layout)' failed

(process:6123): Pango-CRITICAL **: pango_layout_set_width: assertion `layout !=
NULL' failed

(process:6123): Pango-CRITICAL **: pango_layout_get_extents: assertion `layout
!= NULL' failed

(process:6123): Gtk-CRITICAL **: gtk_icon_theme_get_for_screen: assertion
`GDK_IS_SCREEN (screen)' failed

(process:6123): Gtk-CRITICAL **: gtk_settings_get_for_screen: assertion
`GDK_IS_SCREEN (screen)' failed

(process:6123): Gtk-CRITICAL **: gtk_icon_size_lookup_for_settings: assertion
`GTK_IS_SETTINGS (settings)' failed

(process:6123): Gtk-WARNING **: Invalid icon size 6


(process:6123): Gtk-CRITICAL **: gtk_icon_theme_load_icon: assertion
`GTK_IS_ICON_THEME (icon_theme)' failed
zsh: 6123 segmentation fault  inkscape
/usr/share/doc/inkscape-0.41/doc/architecture.svg -z -e 1.png


Воспроизводится на любых SVG-файлах, даже на пустом (зашел в inkscape и
сохранил
пустой лист).
Проверено на двух машинах, на обоих inkscape свежеустановленный,
eugene ~ $ rpm -q inkscape
inkscape-0.41-alt1

Да, на обоих машинах ничего гномьего не стоит и не стояло, только то, что
вытянулось по зависимостям того-же inkscape (ну может еще пары гномовских
программ), может быть в этом дело.
------- Comment #1 From 2005-04-04 23:31:42 -------
fixed in inkscape-0.41-alt1cvs20050320.src.rpm 
 
------- Comment #2 From 2005-04-07 13:13:00 -------
Действительно fixed
------- Comment #3 From 2005-04-17 20:30:38 -------
пока вопрос закрыт.